complexType "RequestLimitCheck"

Namespace: | http://www.fpml.org/FpML-5/pretrade
Content: | complex, 3 attributes, 13 elements
Defined: | globally in fpml-pretrade-processes-5-5.xsd; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
fpmlVersion | = | xsd:token
expectedBuild | = | xsd:positiveInteger
actualBuild | = | "7"
| >
Content: | header?, validation*, isCorrection?, (parentCorrelationId?, correlationId?, sequenceNumber?)?, onBehalfOf[0..4]?, requestingPartyReference?, creditApprovalRequestType?, creditApprovalModel?, trade?, party*, account*
</...>

Content Model Elements (13):

  account, correlationId, creditApprovalModel (in requestLimitCheck), creditApprovalRequestType (in requestLimitCheck), header (defined in RequestMessage complexType), isCorrection, onBehalfOf (defined in OnBehalfOf.model group), | parentCorrelationId, party, requestingPartyReference (in requestLimitCheck), sequenceNumber (defined in Sequence.model group), trade (in requestLimitCheck), validation

All Direct / Indirect Based Elements (1):

  requestLimitCheck

Known Usage Locations

- As direct type of elements (1):
  requestLimitCheck

Type Definition Detail

Type Derivation Tree Document (extension) Message (extension) RequestMessage (extension) CorrectableRequestMessage (extension) RequestLimitCheck

XML Source (w/o annotations (2); see within schema source)

<xsd:complexType name="RequestLimitCheck"> <xsd:complexContent> <xsd:extension base="CorrectableRequestMessage"> <xsd:sequence> <xsd:element minOccurs="0" name="requestingPartyReference" type="PartyReference"/> <xsd:element minOccurs="0" name="creditApprovalRequestType" type="CreditApprovalRequestTypeEnum"/> <xsd:element minOccurs="0" name="creditApprovalModel" type="CreditApprovalModel"/> <xsd:element minOccurs="0" name="trade" type="Trade"/> <xsd:group ref="PartiesAndAccounts.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 4/13)
creditApprovalModel

  Type: | CreditApprovalModel, simple content

  Code to indicate the credit approval model e.g., PushToPing, PushToStop, Plus1ToStop, Plus1ToPing, Ping.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="creditApprovalModel" type="CreditApprovalModel"/>

creditApprovalRequestType

  Type: | CreditApprovalRequestTypeEnum, simple content

  Simple Content

  enumeration of xsd:token

  Enumeration: | "AllOrNone", "AllowPartial"

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="creditApprovalRequestType" type="CreditApprovalRequestTypeEnum"/>

requestingPartyReference

  Type: | PartyReference, empty content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="requestingPartyReference" type="PartyReference"/>

trade

  Type: | Trade, complex content

  The root element in an FpML trade document.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="trade" type="Trade"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.